## com.fasterxml.jackson.core
Class JsonParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.fasterxml.jackson.core.JsonProcessingException
                      com.fasterxml.jackson.core.JsonParseException

All Implemented Interfaces:
  Serializable

    public class JsonParseException

extends JsonProcessingException

Exception type for parsing problems, used when non-well-formed content (content that does not conform to JSON syntax as per specification) is encountered.

See Also:
  Serialized Form

Field Summary
`protected JsonParser` `_processor`

Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException
`_location`

Constructor Summary
`JsonParseException(JsonParser p, String msg)` Constructor that uses current parsing location as location, and sets processor (accessible via `getProcessor()`) to specified parser.
`JsonParseException(JsonParser p, String msg, JsonLocation loc)`
`JsonParseException(JsonParser p, String msg, JsonLocation loc, Throwable root)`
`JsonParseException(JsonParser p, String msg, Throwable root)`
`JsonParseException(String msg, JsonLocation loc)` Deprecated.
`JsonParseException(String msg, JsonLocation loc, Throwable root)` Deprecated.

Method Summary
`JsonParser` `getProcessor()` Method that allows accessing underlying processor that triggered this exception; typically either `JsonParser` or `JsonGenerator` for exceptions that originate from streaming API.
`JsonParseException` `withParser(JsonParser p)` Fluent method that may be used to assign originating `JsonParser`, to be accessed using `getProcessor()`.

Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException
`getLocation, getMessage, getMessageSuffix, getOriginalMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _processor

    protected JsonParser _processor

Constructor Detail

### JsonParseException

    @Deprecated
    public JsonParseException(String msg,
                                         JsonLocation loc)

  Deprecated.

### JsonParseException

    @Deprecated
    public JsonParseException(String msg,
                                         JsonLocation loc,
                                         Throwable root)

  Deprecated.

### JsonParseException

    public JsonParseException(JsonParser p,
                              String msg)

  Constructor that uses current parsing location as location, and sets processor (accessible via `getProcessor()`) to specified parser.

  Since:
    2.7

### JsonParseException

    public JsonParseException(JsonParser p,
                              String msg,
                              Throwable root)

Since:
  2.7

### JsonParseException

    public JsonParseException(JsonParser p,
                              String msg,
                              JsonLocation loc)

Since:
  2.7

### JsonParseException

    public JsonParseException(JsonParser p,
                              String msg,
                              JsonLocation loc,
                              Throwable root)

Since:
  2.7

Method Detail

### withParser

    public JsonParseException withParser(JsonParser p)

  Fluent method that may be used to assign originating `JsonParser`, to be accessed using `getProcessor()`.

  Since:
    2.7

### getProcessor

    public JsonParser getProcessor()

  Description copied from class: `JsonProcessingException`
  Method that allows accessing underlying processor that triggered this exception; typically either `JsonParser` or `JsonGenerator` for exceptions that originate from streaming API. Note that it is possible that `null` may be returned if code throwing exception either has no access to processor; or has not been retrofitted to set it; this means that caller needs to take care to check for nulls. Subtypes override this method with co-variant return type, for more type-safe access.

  Overrides:
    `getProcessor` in class `JsonProcessingException`
  Returns:
    Originating processor, if available; null if not.

Copyright © 2008-2016 FasterXML. All Rights Reserved.